org.modeshape.jboss.subsystem

## Enum Attribute

- java.lang.Object
- - java.lang.Enum<Attribute>
  - - org.modeshape.jboss.subsystem.Attribute

- All Implemented Interfaces:
    Serializable, Comparable<Attribute>

      public enum Attribute
      extends Enum<Attribute>

  Enumerates the XML attributes used in the ModeShape subsystem schema.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCESS_TYPE`
    `ALLOW_WORKSPACE_CREATION`
    `ANALYZER_CLASSNAME`
    `ANALYZER_MODULE`
    `ANONYMOUS_ROLES`
    `ANONYMOUS_USERNAME`
    `ASYNC_WRITES`
    `AUTO_DEPLOY`
    `CACHE_CONTAINER`
    `CACHE_NAME`
    `CACHE_TTL_SECONDS`
    `CHUNK_SIZE`
    `CLASSNAME`
    `COLUMNS`
    `DATA_CACHE_NAME`
    `DATA_SOURCE_JNDI_NAME`
    `DEFAULT_WORKSPACE`
    `DOCUMENT_OPTIMIZATION_CHILD_COUNT_TARGET`
    `DOCUMENT_OPTIMIZATION_CHILD_COUNT_TOLERANCE`
    `DOCUMENT_OPTIMIZATION_INITIAL_TIME`
    `DOCUMENT_OPTIMIZATION_INTERVAL`
    `DOCUMENT_OPTIMIZATION_THREAD_POOL`
    `ENABLE_MONITORING`
    `EXPLODED`
    `FORMAT`
    `GARBAGE_COLLECTION_INITIAL_TIME`
    `GARBAGE_COLLECTION_INTERVAL`
    `GARBAGE_COLLECTION_THREAD_POOL`
    `INDEX_KIND`
    `JNDI_NAME`
    `JOURNAL_GC_INITIAL_TIME`
    `JOURNAL_GC_THREAD_POOL`
    `JOURNAL_PATH`
    `JOURNAL_RELATIVE_TO`
    `JOURNALING`
    `LOCK_CACHE_NAME`
    `LOCKING_STRATEGY`
    `MAX_DAYS_TO_KEEP_RECORDS`
    `META_CACHE_NAME`
    `MIN_STRING_SIZE`
    `MIN_VALUE_SIZE`
    `MODULE`
    `NAME`
    `NODE_TYPE`
    `PATH`
    `PATH_EXPRESSION`
    `PROVIDER_NAME`
    `QUERYABLE`
    `READONLY`
    `RELATIVE_TO`
    `SECURITY_DOMAIN`
    `SOURCE_PATH`
    `SOURCE_RELATIVE_TO`
    `STORE_NAME`
    `SYNCHRONOUS`
    `UNKNOWN`
    `USE_ANONYMOUS_IF_AUTH_FAILED`
    `WORKSPACE_NAMES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Attribute` | `forName(String localName)`
    `String` | `getLocalName()` Get the local name of this element.
    `static Attribute` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Attribute[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final Attribute UNKNOWN

    - #### ACCESS_TYPE

          public static final Attribute ACCESS_TYPE

    - #### ALLOW_WORKSPACE_CREATION

          public static final Attribute ALLOW_WORKSPACE_CREATION

    - #### ANALYZER_CLASSNAME

          public static final Attribute ANALYZER_CLASSNAME

    - #### ANALYZER_MODULE

          public static final Attribute ANALYZER_MODULE

    - #### ANONYMOUS_ROLES

          public static final Attribute ANONYMOUS_ROLES

    - #### ANONYMOUS_USERNAME

          public static final Attribute ANONYMOUS_USERNAME

    - #### CACHE_CONTAINER

          public static final Attribute CACHE_CONTAINER

    - #### CACHE_NAME

          public static final Attribute CACHE_NAME

    - #### CLASSNAME

          public static final Attribute CLASSNAME

    - #### DATA_CACHE_NAME

          public static final Attribute DATA_CACHE_NAME

    - #### DATA_SOURCE_JNDI_NAME

          public static final Attribute DATA_SOURCE_JNDI_NAME

    - #### DEFAULT_WORKSPACE

          public static final Attribute DEFAULT_WORKSPACE

    - #### DOCUMENT_OPTIMIZATION_THREAD_POOL

          public static final Attribute DOCUMENT_OPTIMIZATION_THREAD_POOL

    - #### DOCUMENT_OPTIMIZATION_INITIAL_TIME

          public static final Attribute DOCUMENT_OPTIMIZATION_INITIAL_TIME

    - #### DOCUMENT_OPTIMIZATION_INTERVAL

          public static final Attribute DOCUMENT_OPTIMIZATION_INTERVAL

    - #### DOCUMENT_OPTIMIZATION_CHILD_COUNT_TARGET

          public static final Attribute DOCUMENT_OPTIMIZATION_CHILD_COUNT_TARGET

    - #### DOCUMENT_OPTIMIZATION_CHILD_COUNT_TOLERANCE

          public static final Attribute DOCUMENT_OPTIMIZATION_CHILD_COUNT_TOLERANCE

    - #### ENABLE_MONITORING

          public static final Attribute ENABLE_MONITORING

    - #### GARBAGE_COLLECTION_THREAD_POOL

          public static final Attribute GARBAGE_COLLECTION_THREAD_POOL

    - #### GARBAGE_COLLECTION_INITIAL_TIME

          public static final Attribute GARBAGE_COLLECTION_INITIAL_TIME

    - #### GARBAGE_COLLECTION_INTERVAL

          public static final Attribute GARBAGE_COLLECTION_INTERVAL

    - #### FORMAT

          public static final Attribute FORMAT

    - #### JNDI_NAME

          public static final Attribute JNDI_NAME

    - #### LOCK_CACHE_NAME

          public static final Attribute LOCK_CACHE_NAME

    - #### LOCKING_STRATEGY

          public static final Attribute LOCKING_STRATEGY

    - #### META_CACHE_NAME

          public static final Attribute META_CACHE_NAME

    - #### CHUNK_SIZE

          public static final Attribute CHUNK_SIZE

    - #### MIN_VALUE_SIZE

          public static final Attribute MIN_VALUE_SIZE

    - #### MIN_STRING_SIZE

          public static final Attribute MIN_STRING_SIZE

    - #### MODULE

          public static final Attribute MODULE

    - #### NAME

          public static final Attribute NAME

    - #### PATH

          public static final Attribute PATH

    - #### PATH_EXPRESSION

          public static final Attribute PATH_EXPRESSION

    - #### RELATIVE_TO

          public static final Attribute RELATIVE_TO

    - #### SECURITY_DOMAIN

          public static final Attribute SECURITY_DOMAIN

    - #### SOURCE_PATH

          public static final Attribute SOURCE_PATH

    - #### SOURCE_RELATIVE_TO

          public static final Attribute SOURCE_RELATIVE_TO

    - #### STORE_NAME

          public static final Attribute STORE_NAME

    - #### USE_ANONYMOUS_IF_AUTH_FAILED

          public static final Attribute USE_ANONYMOUS_IF_AUTH_FAILED

    - #### WORKSPACE_NAMES

          public static final Attribute WORKSPACE_NAMES

    - #### CACHE_TTL_SECONDS

          public static final Attribute CACHE_TTL_SECONDS

    - #### QUERYABLE

          public static final Attribute QUERYABLE

    - #### READONLY

          public static final Attribute READONLY

    - #### EXPLODED

          public static final Attribute EXPLODED

    - #### MAX_DAYS_TO_KEEP_RECORDS

          public static final Attribute MAX_DAYS_TO_KEEP_RECORDS

    - #### ASYNC_WRITES

          public static final Attribute ASYNC_WRITES

    - #### JOURNALING

          public static final Attribute JOURNALING

    - #### AUTO_DEPLOY

          public static final Attribute AUTO_DEPLOY

    - #### JOURNAL_GC_THREAD_POOL

          public static final Attribute JOURNAL_GC_THREAD_POOL

    - #### JOURNAL_GC_INITIAL_TIME

          public static final Attribute JOURNAL_GC_INITIAL_TIME

    - #### JOURNAL_PATH

          public static final Attribute JOURNAL_PATH

    - #### JOURNAL_RELATIVE_TO

          public static final Attribute JOURNAL_RELATIVE_TO

    - #### INDEX_KIND

          public static final Attribute INDEX_KIND

    - #### SYNCHRONOUS

          public static final Attribute SYNCHRONOUS

    - #### PROVIDER_NAME

          public static final Attribute PROVIDER_NAME

    - #### NODE_TYPE

          public static final Attribute NODE_TYPE

    - #### COLUMNS

          public static final Attribute COLUMNS

  - ### Method Detail

    - #### values

          public static Attribute[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Attribute c : Attribute.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Attribute valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLocalName

          public String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### forName

          public static Attribute forName(String localName)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.